/**
 * CodeDump Configuration File
 *
 * This file controls the behavior of the CodeDump tool.
 * You can customize which files and directories to include or exclude.
 * Generated on: 2025-04-17T14:13:56.500Z
 */
declare const config: CodeDumpConfig;
export default config;
/**
 * Type definitions for CodeDump configuration
 */
export interface CodeDumpConfig {
    directory?: string;
    output?: string;
    type?: "list" | "normal" | "verbose" | "minify";
    showLargestFiles?: boolean;
    allowedExtensions?: string[];
    allowedFilenames?: string[];
    skipDirectories?: string[];
    skipDirectoryPatterns?: string[];
    skipFilenames?: string[];
    skipPatterns?: string[];
}
