/**
 * Type definitions for CodeDump
 */
export interface CodeDumpConfig {
    directory?: string;
    output?: string;
    type?: "list" | "normal" | "verbose" | "minify";
    showLargestFiles?: boolean;
    allowedExtensions?: string[];
    allowedFilenames?: string[];
    skipDirectories?: string[];
    skipDirectoryPatterns?: string[];
    skipFilenames?: string[];
    skipPatterns?: string[];
}
